/*#########################################################################
#                                                                         #
#   Simple script for testing the scriptable service browser              #
#   by creating a simple static browser with some cool radio              #
#   streams. Usando los streamings de http://www.rtve.es/radio.		  #
#   Script basado en la versión de NRK Radio				  #
#                                                                         #
#   Copyright     							  #
#									  #
#   (C)  2008 Eirik Johansen Bjørgan  <eirikjbj@gmail.com> 		  #
#   (C) 2007, 2008 Nikolaj Hald Nielsen  <nhnFreespirit@gmail.com>        #
#   (C)       2008 Peter ZHOU <peterzhoulei@gmail.com>                    #
#   (C)       2008 Mark Kretschmann <kretschmann@kde.org>                 #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/

function Station( name, url, description )
{
    this.name = name;
    this.url = url;
    this.description = description;
}


categories = new Object;


categories["Radio Nacional de España"]= new Array (
    new Station( "Radio Nacional", "http://rtve.stream.flumotion.com/rtve/radio1.mp3.m3u", "Radio Nacional" ),
    new Station( "Radio Clásica", "http://rtve.stream.flumotion.com/rtve/radioclasica.mp3.m3u", "Radio Clásica" ),
    new Station( "Radio 3", "http://rtve.stream.flumotion.com/rtve/radio3.mp3.m3u", "Radio 3" ),
    new Station( "Ràdio 4", "http://rtve.stream.flumotion.com/rtve/radio4.mp3.m3u", "Ràdio 4" ),
    new Station( "Radio 5", "http://rtve.stream.flumotion.com/rtve/radio5.mp3.m3u", "Radio 5" ),
    new Station( "Radio Exterior", "http://rtve.stream.flumotion.com/rtve/radioexterior.mp3.m3u", "Radio Exterior" )
);


function RNEradio()
{
    Amarok.debug( "creando servicio de Radio Nacional de España..." );
    ScriptableServiceScript.call( this, "Radio Nacional de España", 2, "Listado de emisoras de Radio Nacional de España", "Emisiones en directo de Radio Nacional de España, disponibles en internet en http://www.rtve.es/radio", false );
    Amarok.debug( "ok." );
}

function onConfigure()
{
    Amarok.alert( "Este script no requiere configuración." );
}

function onPopulating( level, callbackData, filter )
{
    if ( level == 1 ) 
    {
        for( att in categories )
        {
            Amarok.debug ("att: " + att + ", " + categories[att].name)
           
            item = Amarok.StreamItem;
	    item.level = 1;
	    item.callbackData = att;
	    item.itemName = att;
	    item.playableUrl = "";
	    item.infoHtml = "";
	    script.insertItem( item );

        }
        script.donePopulating();

    }
    else if ( level == 0 ) 
    {
        Amarok.debug( " Recopilando emisoras..." );
	//add the station streams as leaf nodes

        var stationArray = categories[callbackData];

	for ( i = 0; i < stationArray.length; i++ )
	{
		item = Amarok.StreamItem;
		item.level = 0;
		item.callbackData = "";
		item.itemName = stationArray[i].name;
		item.playableUrl = stationArray[i].url;
		item.infoHtml = stationArray[i].description;
                item.artist = "Radio Nacional de España";
		script.insertItem( item );
	}
	script.donePopulating();
    }
}

Amarok.configured.connect( onConfigure );

script = new RNEradio();
script.populate.connect( onPopulating );
